2018-03-17 21:00 EDT

View Issue Details Jump to Notes ]
IDProjectCategoryView StatusLast Update
0001634FSSCPFREDpublic2008-04-04 03:09
Assigned Totaylor 
Product Version3.6.9 
Target VersionFixed in Version3.6.10 
Summary0001634: Special explosion not being correctly when multiple ships selected.
DescriptionI have 5 CR mines that I want to all have special explosions and other features. Selected them all using the selection list, set the flags, and then set the special explosion values. Flags took but the special explosion values only set for the first ship in the list. The rest are like you didn't even try to set them. If you select all the ships and click special explosion again it will show that it is turned on.
Additional InformationTBP 3.6.9 FRED2_Open. Just highlight the 5 CR mines in the select list, open the ship editor and click special explosion. You will see that it shows set but if you click next ship you will see that it isn't set. Enough mines in the mission pick a couple and try to set it.
TagsNo tags attached.
Attached Files




taylor (administrator)

Fixed locally. It will now save the values properly for all selected objects, but it will use the exp values from the first object for everything. I assume that's ok though (there really isn't a way around it anyway).

I'll mark as resolved once I commit.


FUBAR-BDHR (developer)

If by first object you mean the one that you are typing the values in for then yes that is perfect. Even inactivating the option if multiple objects were selected would have been fine. Just didn't like the way it let you think you were changing them all but only changing the one.

Reminds me I ran into another bug similar to this. Going to add it now.


taylor (administrator)

I mean that if you select those 5 mines it will use the options from the first one selected and apply that to all of the rest. So if the first selected object doesn't have a special explosion specified, but the second one does, the dialog will ignore those values from the second object.

I thought about doing some sort of check to try and pick a good mix of values, but that really seemed to be problematic. But if it's fine as-is then I'll consider it good enough, at least until a new bug gets filed on that part. ;)


taylor (administrator)


-Issue History
Date Modified Username Field Change
2008-03-14 23:22 FUBAR-BDHR New Issue
2008-03-14 23:22 FUBAR-BDHR File Added: FUBAR_M03.fs2
2008-04-02 03:40 taylor Status new => assigned
2008-04-02 03:40 taylor Assigned To => taylor
2008-04-02 03:49 taylor Note Added: 0009144
2008-04-02 16:43 FUBAR-BDHR Note Added: 0009147
2008-04-02 19:03 taylor Note Added: 0009150
2008-04-04 03:09 taylor Status assigned => resolved
2008-04-04 03:09 taylor Fixed in Version => 3.6.10
2008-04-04 03:09 taylor Resolution open => fixed
2008-04-04 03:09 taylor Note Added: 0009174
+Issue History